<!DOCTYPE html>
<html>
<head>
	<!-- Cambiar el nombre del sitio -->
	<title>Microservicios</title>
	<style>
		ul {
		  list-style-type: none;
		  margin: 0;
		  padding: 0;
		  overflow: hidden;
		  background-color: #222;
		}

		li {
		  float: left;
		}

		li a {
		  display: block;
		  color: white;
		  text-align: center;
		  
		  padding: 14px 16px;
		  text-decoration: none;
		}

		li a:hover {
		  background-color: #222;
		}
	</style>
</head>
<body>
	<div id="header">
		<ul>
			<li><a href="informatica.html">Informática</a></li>
			<li><a href="arquitectura.html">Arquitectura</a></li>
			<li><a href="orientacion_a_servicios.html">Orientación a Servicios</a></li>
			<li><a href="microservicios.html">Microservicios</a></li>
			<li><a href="proceso.html">Proceso de Desarrollo de Software</a></li>
		</ul>
	</div>
	<div id="cuerpo">
		<center><h2>MICROSERVICIOS</h2></center>
		<center><h3>A continuación explicaremos en que consiste un proceso de desarrollo de software orientado a Microservios</h3></center>
		<center><p>Los microservicios son un enfoque arquitectónico y organizativo para el desarrollo de software, donde el software está compuesto por pequeños servicios independientes que se comunican a través de API (Application Programming Interface) bien definidas. 
				   Los propietarios de estos servicios son equipos pequeños independientes.</p></center>
	    <center><p>Las arquitecturas de microservicios hacen que las aplicaciones sean más fáciles de escalar y más rápidas de desarrollar. 
				   Esto permite la innovación y acelera el tiempo de comercialización de las nuevas características.</p></center>	
		<center><p> Características comunes de los microservicios

			Hasta ahora, hemos comprobado que los microservices no actúan de manera estándar. A pesar de ello, encontramos unas características comunes.
			
				Características de su software: Puedes ser descompuesto en diferentes partes independientes. Por ello cada uno de los servicios puede ser desplegado y modificado sin afectar a otros aspectos funcionales de la aplicación.
			
				Características de su organización: La manera en la que están organizados supone un contraste con el entorno monolítico. Ya que tienen en cuenta aspectos como las capacidades, necesidades y preferencias del negocio o cliente donde será implantado. En cuanto, a la arquitectura, se usan módulos multifuncionales consiguiendo la creación de un módulo común para todos ofreciendo un servicio en concreto. Sin duda, la gran ventaja es el ahorro de tiempo y la comodidad en tareas de mantenimiento evitando que, al revisar un módulo, el resto del equipo no pueda completar su jornada.
			
				Características de su arquitectura: Cada módulo es independiente ya que, cada uno de ellos cuenta con su propia base de datos, es decir, no acuden todos a la misma. Así evitamos la sobrecarga y la caída de la aplicación.
			
				Características de sus sistemas de aviso y actuación: Al estar varios servicios comunicados necesitamos contar con sistemas de aviso y actuación por si se registrara algún fallo de estos servicios. Es decir, nos daría una advertencia, envío de un mail a soporte, etc. Este sistema es positivo ya que favorece a una buena gestión entre los módulos funcionales restantes.
			 </p></center>		   
				   
	</div>
</body>
</html>
